Class | Chef::Knife::CookbookSCMRepo
In: | lib/chef/knife/core/cookbook_scm_repo.rb
Parent: | Object

### Methods

branch_exists? finalize_updates_to merge_updates_from new prepare_to_import reset_to_default_state sanity_check updated?

### Included Modules

Chef::Mixin::ShellOut

### Constants

DIRTY_REPO | = | /^[\s]+M/

### Attributes

default_branch | [R] |
repo_path | [R] |
ui | [R] |

### Public Class methods

new(repo_path, ui, opts={})

### Public Instance methods

branch_exists?(branch_name)
finalize_updates_to(cookbook_name, version)
merge_updates_from(cookbook_name, version)
prepare_to_import(cookbook_name)
reset_to_default_state()
sanity_check()
updated?(cookbook_name)

[Validate]